org.apache.poi.util

## Interface LittleEndianInput

- All Known Implementing Classes:
    Biff8DecryptingStream, ChunkedCipherInputStream, ContinuableRecordInput, DocumentInputStream, LittleEndianByteArrayInputStream, LittleEndianInputStream, RecordInputStream

      public interface LittleEndianInput

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `byte` | `readByte()`
    `double` | `readDouble()`
    `void` | `readFully(byte[] buf)`
    `void` | `readFully(byte[] buf, int off, int len)`
    `int` | `readInt()`
    `long` | `readLong()`
    `void` | `readPlain(byte[] buf, int off, int len)` Usually acts the same as `readFully(byte[], int, int)`, but for an encrypted stream the raw (unencrypted) data is filled
    `short` | `readShort()`
    `int` | `readUByte()`
    `int` | `readUShort()`

- - ### Method Detail

    - #### available

          int available()

    - #### readByte

          byte readByte()

    - #### readUByte

          int readUByte()

    - #### readShort

          short readShort()

    - #### readUShort

          int readUShort()

    - #### readInt

          int readInt()

    - #### readLong

          long readLong()

    - #### readDouble

          double readDouble()

    - #### readFully

          void readFully(byte[] buf)

    - #### readFully

          void readFully(byte[] buf,
                         int off,
                         int len)

    - #### readPlain

          void readPlain(byte[] buf,
                         int off,
                         int len)

      Usually acts the same as `readFully(byte[], int, int)`, but for an encrypted stream the raw (unencrypted) data is filled
      Parameters:
        `buf` - the byte array to receive the bytes
        `off` - the start offset into the byte array
        `len` - the amount of bytes to fill

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.